package com.sunyard.chsm.dto;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;

/**
 * @author liulu
 * @since 2024/10/23
 */
public abstract class KeyInfoDTO {

    @Data
    public static class Save {

        private Long applicationId;
        /**
         * 密钥模版编码
         */
        @NotNull(message = "密钥模版不能为空")
        private String keyTemplateCode;
        /**
         * 生成数量
         */
        @NotNull(message = "生成数量不能为空")
        @Max(value = 100, message = "一次最多生成100个密钥")
        private Integer genNumber;
    }


}
